# Class CIM_ServiceAffectsElementWithQuota
extends CIM_ServiceAffectsElement

ServiceAffectsElementWithQuota represents an extension of ServiceAffectsElement to include a quota imposed on the AffectedElement by the Service. The quota governs the amount of a resource controlled by the Service that can be allocated by the AffectedElement in one or more allocations.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ServiceAffectsElement
|
+--CIM_ServiceAffectsElementWithQuota

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | ServiceAffectsElementWithQuota represents an extension of ServiceAffectsElement to include a quota imposed on the AffectedElement by the Service. The quota governs the amount of a resource controlled by the Service that can be allocated by the AffectedElement in one or more allocations.
UMLPackagePath | string | CIM::Core::Service
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Quota | uint64 |
Description | string | Quota is the maximum number of resource units that may be allocated to the AffectedElement.
QuotaUnits | string | byte
Description | string | QuotaUnits specifies the type of unit used in the Quota and QuotaUsed properties. The value shall be formatted according to DSP0004 Appendix C1, where the base-unit is "byte"), and there are no occurrences of multiplied-base-unit and divided-base-unit.
IsPUnit | boolean | true
QuotaUsed | uint64 |
Description | string | Quota is the number of resource units currently allocated to the AffectedElement.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---

### Propagated Association References

Name | Class Origin | Reference Class
--- | --- | ---

## Class Methods